@font-face {
    font-family: Curse_Casual;
    src: url(../fonts/font.ttf);
}

body{
    color:black;
    font-family: Curse_Casual;
    font-weight: normal;
}

a{
    color: #3B99FC;
    text-decoration: none;
}

a:hover{
    text-decoration: underline;
    
}

a:visited{
    color: #3B99FC;
}

h1{
    color: black;   
}

.resfactionName{
    color: black;
    float:left;
    font-weight: bold;
    height: auto;
    margin-bottom: 5px;
    overflow: auto;
    width:175px;
}

.resfactionDesc{
    color: black;
    display: block;
    float: left;
    font-style: italic;
    height: auto;
    margin-bottom: 5px;
    overflow: auto;
    width: 520px;
    
}

#mainContainer{
    height: auto;
    overflow: auto;
    width: 750px;
}

#nbPlayerContainer {
    height: auto;
    overflow: auto;
    width: 700px;
}

#selectNbPlayerContainer {
    float: left;
    width: 5%;   
}

#sets{
    height: auto;
    overflow: auto;
}

#factions{
    height: auto;
    overflow: auto;
}

#playersName {
    margin-left: 15%;
}

label {
    display: block; 
    margin-bottom: 10px;
}

.inputplayerName{
    border: 1px #aacfe4 solid;
    margin-left: 15px;
    width: 150px;
}

.lblSetCheckboxes{
    display: block; 
    margin-bottom: 10px;
    width: 215px;
}

.setNameCheckbox{
    margin-right: 5px;
}

.lblFactionCheckboxes{
    display: block; 
    margin-bottom: 10px;
    width: 215px;
}

.factionNameCheckbox{
    margin-right: 5px;
}

.setTitre{
    display: inline-block;
    margin-right: 10px;
}

.visibilityToggle{
    display: inline-block;
    margin 5px, 10px, 5px, 0px;
}

.defaultVisibility{
    display: none;
    
}

#setContainer{
    display: flex;                       /* establish flex container */
    flex-wrap: wrap;                     /* enable flex items to wrap */
    justify-content: flex-start;
    margin-bottom:  25px;
    width: 700px;
}

.spanClassSet {
  flex: 0 0 32%;                       /* don't grow, don't shrink, width */
  height: 20px;
  margin-bottom: 5px;
}
.spanClassSet:nth-child(3n) {

}

.clear{
    clear:both;
    
}

#erreurContainer{
    border: 1px red solid;
    background-color: #FFBABA;
    color:black;
    display: none;
    height: auto;
    overflow: auto;
    width: 700px;   
    padding-left: 15px;
    padding-bottom: 15px;
}

#results{
    height:auto;
    overflow: hidden;
    width: 700px;
    
}

.playerName{
    clear: both;
    display: block;
    height: auto;
    overflow: auto;
    
}